#Latest update 15/10/11

Clear-Host

$Host.UI.RawUI.WindowTitle = "ps-monitor | www.kittybomber.com" #Host title
$date = Get-Date -uformat "%d/%m/%y" #get-date will be injected in our snapshots with $date
$os = Get-WmiObject Win32_OperatingSystem #need to identify the os version for default snapshots session
$loc = get-location #get current script location


Write-Host "ps-monitor v1.0 - www.kittybomber.com [Globz]"
Write-Host " "
Write-Host "Which of the following actions would you like to perform?"
Write-Host " "

#MENU
Write-Host "[1]Create default snapshots"  #default snapshots of vulnerable Windows Env
Write-Host "[2]Create custom snapshots"   #user created custom snapshots
Write-Host "[3]Compare default snapshots" #compare default snapshots with a new set of default snapshots
Write-Host "[4]Compare custom snapshots"  #compare user created custom snapshots with a new set of user created custom snapshots
Write-Host "[5]File Monitoring"           #create watcher to monitor files
Write-Host " "
$a = Read-Host "?" 

Write-Host " "
clear-Host

switch ($a)

#create default snapshots :
 
 {
     1 { 
        "Creating snapshots directory"
        Write-Host " "
        $d = Read-Host "Directory name"
        $p = Read-Host "Enter the path"
        cd $p
        mkdir $d
        clear-host
        "Directory created in $p"
        start-sleep -s 3
        clear-host
        "Initialising default snapshots session..."
        start-sleep -s 3
        clear-host
        
        #root
        "Starting snapshots 1/11"
        "Creating snapshot for [root]"
        Write-Host " "
        start-sleep -s 3
        cd $p 
        cd $d #cd to working directory
        $date >> root.txt
        get-childitem c:\ >> root.txt -force #1
        clear-Host
        Write-Host "snapshot created as " -nonewline; Write-Host "root.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        clear-Host
        
        #System32
        "Starting snapshots 2/11"
        "Creating snapshot for [System32]"
        Write-Host " "
        start-sleep -s 3
        $date >> system32.txt
        get-childitem c:\windows\System32 >> system32.txt -force #2
        clear-Host
        Write-Host "snapshot created as " -nonewline; Write-Host "system32.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        clear-Host
        
        #Temp
        "Starting snapshots 3/11"
        "Creating snapshot for [Temp]"
        Write-Host " "
        start-sleep -s 3
        $date >> temp.txt
        get-childitem $env:temp >> temp.txt -force #3
        clear-host
        Write-Host "snapshot created as " -nonewline; Write-Host "temp.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        clear-Host
        
        #ETC
        "Starting snapshots 4/11"
        "Creating snapshot for [ETC]"
        Write-Host " "
        start-sleep -s 3
        $date >> etc.txt
        get-childitem C:\Windows\System32\drivers\etc >> etc.txt -force #4
        clear-Host
        Write-Host "snapshot created as " -nonewline; Write-Host "etc.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        clear-Host
        
        #APPDATA
        "Starting snapshots 5/11"
        "Creating snapshot for [APPDATA]"
        Write-Host " "
        start-sleep -s 3
        $date >> appdata.txt
        get-childitem $env:appdata >> appdata.txt -force #5
        clear-Host
        Write-Host "snapshot created as " -nonewline; Write-Host "appdata.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        
        #if WinXP SP3 or WinXP x64 detected = snapshot for [ALLUSERSPROFILE\APPDATA]
        if (($os.Version -eq "5.1.2600") -or ($os.Version -eq "5.2.3790")) {
                             #winxp-sp3                        #winxp x64
        clear-host
        "Starting snapshots 6/11"
        "Creating snapshot for [ALLUSERSPROFILE\APPDATA]"
        Write-Host " "
        start-sleep -s 3
        cd $env:allusersprofile
        cd '.\Application data'
        $u = get-childitem -force
        cd $p
        cd $d
        $date >> allusersappdata.txt
        $u >> allusersappdata.txt  #6 -SNAPSHOT XP
        clear-host
        Write-Host "snapshot created as " -nonewline; Write-Host "allusersappdata.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5            
        }
        
        #if NOT XP = snapshot for [LOCALAPPDATA]    
        else {
        clear-host
        "Starting snapshots 6/11"
        "Creating snapshot for [LOCALAPPDATA]"
        Write-Host " "
        start-sleep -s 3
        $date >> localappdata.txt
        get-childitem $env:localappdata >> localappdata.txt -force #6 SNAPSHOT VISTA/7
        clear-Host
        Write-Host "snapshot created as " -nonewline; Write-Host "localappdata.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5         
        } 
        
        clear-host
        
        #ProgramFiles
        "Starting snapshots 7/11"
        "Creating snapshot for [ProgramFiles]"
        Write-Host " "
        start-sleep -s 3
        $date >> programfiles.txt
        get-childitem $env:programfiles >> programfiles.txt -force #7
        clear-host
        Write-Host "snapshot created as " -nonewline; Write-Host "programfiles.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        clear-host
        
        #Windir
        "Starting snapshots 8/11"
        "Creating snapshot for [Windir]"
        Write-Host " "
        start-sleep -s 3
        $date >> windir.txt
        get-childitem $env:windir >> windir.txt -force #8
        clear-host
        Write-Host "snapshot created as " -nonewline; Write-Host "windir.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        clear-host
        
        #Network
        "Starting snapshots 9/11"
        "Creating snapshot for [Network]"
        Write-Host " "
        start-sleep -s 3
        $date >> network.txt
        Get-WmiObject -Class Win32_NetworkAdapterConfiguration >> network.txt #9
        clear-host
        Write-Host "snapshot created as " -nonewline; Write-Host "network.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        clear-host
        
        #Services
        "Starting snapshots 10/11"
        "Creating snapshot for [Services]"
        Write-Host " "
        start-sleep -s 3
        cd $p
        cd $d
        get-service >> services.txt #10
        clear-host
        Write-Host "snapshot created as " -nonewline; Write-Host "services.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        clear-host
        
        #Process
        "Starting snapshots 11/11"
        "Creating snapshot for [Process]"
        Write-Host " "
        start-sleep -s 3
        $date >> process.txt
        get-process >> process.txt #11
        clear-host
        Write-Host "snapshot created as " -nonewline; Write-Host "process.txt" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        clear-host
        Write-Host "Default snapshots session completed"
        read-host                     
        }
        
    
#create custom snapshots
     
     2{
      
      function custom #custom snapshots session
      {
      clear-host
      Write-Host "enter the name of your snapshot ; example snapshot.txt " -nonewline; Write-Host "[extension is needed]" -foregroundcolor red
      Write-Host " "
      $name = Read-Host "?"
      clear-host
      Write-Host "In order to take a snapshot, the" -nonewline; Write-Host " full path of your target location is needed" -foregroundcolor red
      Write-Host " "
      $path = Read-Host "target path"
      clear-host
      Write-Host "Would you like to use the -recurse option? (list all sub-folders)"
      Write-Host " "
      $q = Read-Host "y/n"
      clear-host
      Write-Host "Creating snapshot of " -nonewline; Write-Host "$path" -foregroundcolor red
      Write-Host " "
      start-sleep -s 3
      if ($q -eq "y") {
      cd $path
      $recurse = get-childitem -force -recurse
      cd $p
      $date >> $name
      $recurse >> $name
      }
      else {
      cd $p
      $date >> $name
      get-childitem -force $path >> $name
      }
      clear-host
      Write-Host "custom snapshot created as " -nonewline; Write-Host "$name" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
      start-sleep -s 5
      clear-host
      Write-Host "Would you like to create another custom snapshot?"
      Write-Host " "
      $yn = Read-Host "y/n"
      if ($yn -eq "y")
      {
      custom #call function custom - loop da loop!
      }
      else
      {
      exit #call function exit which does not exist but still exit the program ;)
      }
      
      }
      
     
      function create #if the user selected "create new snapshots directory"
      {
      Clear-Host
      "Creating snapshots directory"
      Write-Host " "
      Write-Host "Syntax : [path]+[new directory] - example : C:\users\%username%\new directory" -foregroundcolor red
      Write-Host " "
      $p = Read-Host "?"
      mkdir $p
      clear-host
      Write-Host "Directory created in " -nonewline; Write-Host "$p" -foregroundcolor red
      start-sleep -s 3
      clear-host
      "Initialising custom snapshots session..."
      start-sleep -s 3
      custom
      }
      
      function use #if the user selected "Use existing snapshots directory"
      {
      Clear-Host
      "Please enter the path of your existing snapshots directory"
      $p = Read-Host "Enter the path"
      cd $p
      clear-host
      Write-Host "Custom snapshots will now be saved in " -nonewline; Write-Host "$p" -foregroundcolor red 
      start-sleep -s 3
      clear-host
      "Initialising custom snapshots session..."
      start-sleep -s 3
      custom       
      }
      
      "Would you like to create or use an existing snapshots directory?"
       Write-Host " "
       Write-Host "[1]Create new snapshots directory"
       Write-Host "[2]Use existing snapshots directory"
       Write-Host " "
       $z = Read-Host "?"
     
      if ($z -eq "1")
      {
      create #call function create
      }
      else
      {
      use #call function use
      }
     }
     
     
      
     
#Compare default snapshots     
     
     3{
       Write-Host "Enter the path of your snapshots directory"
       Write-Host " "
       $p = Read-Host "?"
       clear-host
       Write-Host "Output from compared snapshots will now be saved in " -nonewline; Write-Host "$p" -foregroundcolor red
       start-sleep -s 3
       clear-host
       "Initialising comparison of the default snapshots with new snapshots from $date"
       Write-host " "
       Write-host "Output will be saved in html format" -foregroundcolor green
       start-sleep -s 5
       clear-host
       
       #root
       Write-Host "Comparing default [root] snapshot with [root] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       get-childitem c:\ >> diff.txt -force
       diff $(Get-Content root.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File root.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "root.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       
       #System32
       Write-Host "Comparing default [System32] snapshot with [System32] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       get-childitem c:\windows\System32 >> diff.txt -force
       diff $(Get-Content system32.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File system32.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "system32.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       
       #Temp
       Write-Host "Comparing default [Temp] snapshot with [Temp] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       get-childitem $env:temp >> diff.txt -force 
       diff $(Get-Content temp.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File temp.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "temp.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       
       #ETC
       Write-Host "Comparing default [ETC] snapshot with [ETC] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       get-childitem C:\Windows\System32\drivers\etc >> diff.txt -force 
       diff $(Get-Content etc.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File etc.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "etc.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       
       #APPDATA
       Write-Host "Comparing default [APPDATA] snapshot with [APPDATA] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       get-childitem $env:appdata >> diff.txt -force
       diff $(Get-Content appdata.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File appdata.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "appdata.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       
       #ALLUSERSPROFILE\APPDATA - XP ONLY
       if (($os.Version -eq "5.1.2600") -or ($os.Version -eq "5.2.3790")) {
                             #winxp-sp3                       #winxp x64
       
       Write-Host "Comparing default [ALLUSERSPROFILE\APPDATA] snapshot with [ALLUSERSPROFILE\APPDATA] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $env:allusersprofile
        cd '.\Application data'
        $u = get-childitem -force
        cd $p
        $u >> diff.txt  #SNAPSHOT XP
       diff $(Get-Content allusersappdata.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File allusersappdata.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "allusersappdata.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host }
       
       #LOCALAPPDATA - IF NOT XP 
       else {
       Write-Host "Comparing default [LOCALAPPDATA] snapshot with [LOCALAPPDATA] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       get-childitem $env:localappdata >> diff.txt -force #SNAPSHOT VISTA/7
       diff $(Get-Content localappdata.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File localappdata.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "localappdata.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       }
       
       #ProgramFiles
       Write-Host "Comparing default [ProgramFiles] snapshot with [ProgramFiles] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       get-childitem $env:programfiles >> diff.txt -force
       diff $(Get-Content programfiles.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File programfiles.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "programfiles.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       
       #Windir
       Write-Host "Comparing default [Windir] snapshot with [Windir] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       get-childitem $env:windir >> diff.txt -force
       diff $(Get-Content windir.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File windir.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "windir.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       
       #Network
       Write-Host "Comparing default [Network] snapshot with [Network] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       Get-WmiObject -Class Win32_NetworkAdapterConfiguration >> diff.txt
       diff $(Get-Content network.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File network.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "network.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       
       #Services
       Write-Host "Comparing default [Services] snapshot with [Services] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       get-service >> diff.txt
       diff $(Get-Content services.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File services.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "services.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       
       #Process
       Write-Host "Comparing default [Process] snapshot with [Process] snapshot taken on $date" -foregroundcolor green
       start-sleep -s 3
       cd $p
       get-process >> diff.txt
       diff $(Get-Content process.txt) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File process.html
       remove-item diff.txt -force #removing diff snapshot because we only need the html output
       clear-host
       Write-Host "Compared snapshot output created as " -nonewline; Write-Host "process.html" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
       start-sleep -s 5
       clear-host
       Write-Host "DONE"
       Write-Host " "
       Write-Host "Compared 11 default snapshots - You can now analyse the output"
       Read-Host
      
     
       }
      
#Compare custom snapshots

      4{
      
        Function cmp #compare custom snapshots
        {
        Write-Host "Enter the "-nonewline; Write-Host "full path " -foregroundcolor red -nonewline; Write-Host "of your snapshots directory"
        Write-Host " "
        $p = Read-Host "?"
        clear-host
        Write-Host "Which snapshot would you like to compare? ; example snapshot.txt"
        Write-Host " " 
        Write-Host "[extension is needed]" -foregroundcolor red 
        Write-Host " "
        $name = Read-Host "?" #snapshot name is needed to parse the [path] with "gc"
        cd $p #cd to snapshot directory so we can "gc" the selected snapshot
        $gc = gc $name #storing the snapshot content inside $gc with get-content
        $path = $gc -match "Directory" #only need "Directory" string from all the content and store this string inside $path
        $target = "$path".substring(15) #now I only need the target itself without "Directory:" - substring will do the job
        #$target will give us the full path of the original snapshot and we can now take a new snapshot of the exact same location and compare it!
        clear-host
        Write-Host "Would you like to use the -recurse option? (list all sub-folders)"
        Write-Host " "
        $q = Read-Host "y/n"
        clear-host
        Write-Host "Creating snapshot of " -nonewline; Write-Host "$target" -foregroundcolor red
        Write-Host " "
        start-sleep -s 3
        if ($q -eq "y") {
        cd $target
        $recurse = get-childitem -force -recurse
        cd $p
        $date >> diff.txt
        $recurse >> diff.txt
        }
        else {
        cd $p
        $date >> diff.txt
        get-childitem -force $target >> diff.txt
        } 
        start-sleep -s 3
        clear-host
        Write-Host "Comparing [$name] snapshot with [$name] snapshot taken on $date" -foregroundcolor green
        start-sleep -s 3
        cd $p
        $output = $name -replace ".txt", ".html" #switching extention so the output will be in html format with a custom name
        diff $(Get-Content $name) $(Get-Content diff.txt) | Where-Object { $_.SideIndicator -eq '=>' } | ConvertTo-HTML | Out-File $output
        remove-item diff.txt -force #removing diff snapshot because we only need the html output
        clear-host
        Write-Host "Compared snapshot output created as " -nonewline; Write-Host "$output" -foregroundcolor red -nonewline; Write-Host " in the following directory: " -nonewline; Write-Host "$p\$d" -foregroundcolor red
        start-sleep -s 5
        clear-host
        Write-Host "Would you like to create another custom snapshot?"
        Write-Host " "
        $yn = Read-Host "y/n"
        if ($yn -eq "y")
        {
        cmp #call function cmp - loop da loop!
        }
        else
        {
        exit #call function exit which does not exist but still exit the program ;)
        }
      
        }
        cmp
      
        }
          
#Monitoring Module :
      
      5{
        Write-Host "Monitoring Module - Initiated"
        Write-Host " "
        Write-Host "The current events supported by the module are :"
        Write-Host " "
        Write-Host "Changed | Created | Deleted | Renamed" -foregroundcolor green
        Write-Host " "
        Write-Host "press any key to continue..."
        Read-Host
        
        function elevate #admin rights are needed to copy watch.ps1 over $pshome - Win7/Vista with UAC
        {
        param( [string]$arguments = "copy-item $loc\watch.ps1 $pshome" )
        $psi = new-object System.Diagnostics.ProcessStartInfo "$psHome\powershell.exe"
        $psi.Arguments = $arguments
        $psi.Verb = "runas"
        [System.Diagnostics.Process]::Start($psi) 
        clear-host
        powershell.exe -NoLogo -NoExit -command {watch} #calling powershell + watch module
                               
                            
       }
       #WinXP logged in with Administrator rights
  
       if (($os.Version -eq "5.1.2600") -or ($os.Version -eq "5.2.3790")) { 
                             #winxp-sp3                       #winxp x64
       
       cd $loc
       copy-item watch.ps1 $pshome
       clear-host
       powershell.exe -NoLogo -NoExit -command {watch} #calling powershell + watch module
    
    
    
       }  
       
       else {
       
       elevate #need to elevate to administrator if running win7/Vista with UAC enabled
        
       }       
        
        
    }  
        
}